Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624727 - SELinux is preventing /usr/libexec/telepathy-gabble "read" access on gdu.monitor.
SELinux is preventing /usr/libexec/telepathy-gabble "read" access on gdu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:cf99e7cf6c1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 11:27 EDT by Matěj Cepl
Modified: 2018-04-11 15:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.8.8-20.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 02:02:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2010-08-17 11:27:47 EDT
Souhrn:

SELinux is preventing /usr/libexec/telepathy-gabble "read" access on
gdu.monitor.

Podrobný popis:

SELinux denied access requested by telepathy-gabbl. It is not expected that this
access is required by telepathy-gabbl and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                unconfined_u:unconfined_r:telepathy_gabble_t:s0-s0
                              :c0.c1023
Kontext cíle                 system_u:object_r:usr_t:s0
Objekty cíle                 gdu.monitor [ file ]
Zdroj                         telepathy-gabbl
Cesta zdroje                  /usr/libexec/telepathy-gabble
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          telepathy-gabble-0.9.15-1.fc14
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.8.8-10.fc14
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Enforcing
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed)
                              2.6.35-0.57.rc6.git1.fc14.x86_64 #1 SMP Mon Jul 26
                              22:43:02 UTC 2010 x86_64 x86_64
Počet upozornění           3
Poprvé viděno               Út 17. srpen 2010, 10:33:11 EDT
Naposledy viděno             Út 17. srpen 2010, 10:33:11 EDT
Místní ID                   7240d478-fe67-4e91-9b2e-d2146b7bd3e0
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1282055591.96:232): avc:  denied  { read } for  pid=2805 comm="telepathy-gabbl" name="gdu.monitor" dev=dm-0 ino=33276 scontext=unconfined_u:unconfined_r:telepathy_gabble_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usr_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1282055591.96:232): arch=c000003e syscall=2 success=no exit=-13 a0=1d2ea40 a1=0 a2=0 a3=100 items=0 ppid=1 pid=2805 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="telepathy-gabbl" exe="/usr/libexec/telepathy-gabble" subj=unconfined_u:unconfined_r:telepathy_gabble_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,telepathy-gabbl,telepathy_gabble_t,usr_t,file,read
audit2allow suggests:

#============= telepathy_gabble_t ==============
allow telepathy_gabble_t usr_t:file read;
Comment 1 Daniel Walsh 2010-08-19 06:00:34 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.8.8-17.fc14

Miroslav add to f13
Comment 2 Fedora Update System 2010-08-24 23:10:58 EDT
selinux-policy-3.8.8-20.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 3 Fedora Update System 2010-08-25 09:30:41 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 4 Fedora Update System 2010-08-26 14:37:04 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 5 Fedora Update System 2010-09-01 02:01:16 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.